Subject: bug#21557: closed (Re: bug#21557: 25.0.50; HTML renders text invisible)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 29 Sep 2015 02:03:03 +0000

Your bug report

#21557: 25.0.50; HTML renders text invisible

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21557: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21557
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21557: 25.0.50; HTML renders text invisible
From: Katsumi Yamaoka <[email-masked]>
To: Richard Stallman <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>
Date: Tue, 29 Sep 2015 11:02:20 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, 28 Sep 2015 15:09:46 -0400, Richard Stallman wrote:
>>>  (defun shr-colorize-region (start end fg &optional bg)
>>> -  (when (or fg bg)
>>> +  (when (and (or fg bg) (>= (display-color-cells) 256))

> This fixes it.  Thanks.

Done.

Subject: 25.0.50; HTML renders text invisible
From: Richard Stallman <[email-masked]>
To: [email-masked]
Date: Fri, 25 Sep 2015 04:28:46 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I received a message whose text was rendered as invisible when I
viewed it in Rmail.  I think it is because of 'color:#000'.

I think that if HTML specifies the same color for foreground and
background, rendering should use different colors so that the text
can be seen.

Here is a redacted version which reproduces the bug.

>>From [email-masked]  Wed Sep 23 13:26:14 2015
Delivery-date: Wed, 23 Sep 2015 13:26:14 -0400
From: <[email-masked]>
To: [email-masked]
Cc: "Richard Stallman" <[email-masked]>
Subject: Re: STALLMAN BOOKS
Date: Wed, 23 Sep 2015 10:26:06 -0700

<html><body><span style=3D"font-family:Verdana; color:#000; font-size:10pt;=
"><div>Hi Jeanne</div><div><br></div><div>I know I gave you an address for =
the books to be sent. I am sending you an address at Kent for the books to =
be sent. It makes more sense for the books to be sent there:<br></div><div>=
<br></div></span></body></html>

In GNU Emacs 25.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.23)
 of 2015-08-12 on freetop
Repository revision: 79a169684dfad2c0bbb9fdbae539c1f30d9f0ac3
System Description:	Trisquel GNU/Linux 7.0, Belenos

Configured using:
 `configure 'CFLAGS=-g -O0''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GCONF GSETTINGS NOTIFY
LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK2 X11

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: RMAIL

Minor modes in effect:
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent messages:
Mark set
Mark saved where search started
Mark set
Saved text from "From [email-masked]  We"
Mark set
Auto-saving...done
Mark set
Sending...
Wrote /home/rms/outgoing/out-72
Sending...done

Load-path shadows:
None found.

Features:
(shadow emacsbug jka-compr epa-mail quail rmailkwd epa derived epg
rmailout vc vc-dispatcher vc-git diff-mode easy-mmode find-func pp
two-column kmacro iso-transl ispell dabbrev battery shr-color color
url-util url-parse auth-source cl-seq eieio byte-opt bytecomp
byte-compile cl-extra seq cconv eieio-core cl-macs gv gnus-util
password-cache url-vars shr dom subr-x browse-url rmailsum dired-aux
shell pcomplete grep compile comint ansi-color ring misearch
multi-isearch mailalias qp rmailmm message sendmail format-spec rfc822
mml mml-sec mm-decode mm-bodies mm-encode mailabbrev gmm-utils
mailheader mail-parse rfc2231 rmail rfc2047 rfc2045 ietf-drums mm-util
help-fns help-mode cl-loaddefs pcase cl-lib mail-prsvr mail-utils
dired t-mouse view time-date paren cus-start cus-load advice
finder-inf package easymenu epg-config mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese
eucjp-ms cp51932 hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese charscript case-table epa-hook jka-cmpr-hook
help simple abbrev minibuffer cl-preloaded nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 8 275753 47689)
 (symbols 24 25638 8)
 (miscs 20 1580 3204)
 (strings 16 40311 16893)
 (string-bytes 1 1558732)
 (vectors 8 27525)
 (vector-slots 4 1446754 41808)
 (floats 8 414 549)
 (intervals 28 43560 1216)
 (buffers 520 54)
 (heap 1024 14588 1385))
[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.